import * as $dara from '@darabonba/typescript';
import { GetVpnGatewayDiagnoseResultResponseBody } from "./GetVpnGatewayDiagnoseResultResponseBody";
export declare class GetVpnGatewayDiagnoseResultResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetVpnGatewayDiagnoseResultResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
